//------------------------------------------------------------------------
// control/main.cs
// Copyright (c) 2003, 2006  Kenneth C. Finney
//------------------------------------------------------------------------
Exec("./client/presets.cs");
Exec("./server/presets.cs");

package control {
function OnStart()
{
   Parent::OnStart();
   Echo("\n++++++++++++ Initializing control module ++++++++++++");
   Exec("./client/initialize.cs");
   Exec("./server/initialize.cs");
   InitializeServer(); // Prepare the server-specific aspects
  // InitializeClient(); // Prepare the client-specific aspects   ///***KCF***-21-SEP-2006 
   if ($Server::Dedicated)///***KCF***-21-SEP-2006 
      InitializeDedicatedServer();///***KCF***-21-SEP-2006 
   else///***KCF***-21-SEP-2006 
      InitializeClient();///***KCF***-21-SEP-2006 

}
function OnExit()
{
   Parent::onExit();
}
}; // Client package
ActivatePackage(control); // Tell TGE to make the client package active
